Bug 446906 - queue.query("nonexistent-queue") results in session exception
queue.query("nonexistent-queue") results in session exception
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
beta
All Linux
high Severity low
: ---
: ---
Assigned To: Gordon Sim
Kim van der Riet
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-16 12:13 EDT by Rafael H. Schloming
Modified: 2014-12-01 18:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-02 11:06:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rafael H. Schloming 2008-05-16 12:13:44 EDT
When a nonexistent queue is passed to queue.query, the broker responds with a
session exception. The 0-10 final spec says that an empty result struct should
be returned.
Comment 1 Gordon Sim 2008-05-28 10:04:59 EDT
Fixed by r660953.
Comment 2 Mike Bonnet 2008-06-19 23:51:32 EDT
qpidc-0.2.667603-1.el5, qpidc-perftest-0.2.667603-1.el5, qpidd-0.2.667603-1.el5, and rhm-0.2.2153-1.el5 have been pushed to the staging repo for testing

Note You need to log in before you can comment on or make changes to this bug.